mise à jour 3.1.9 vers 3.3.0 erreur

Forum concernant les demandes de support pour tout problème de mise à jour d'un forum phpBB 3.3.x depuis une version antérieure ou d'une conversion de phpBB2 ou phpBB3 vers phpBB 3.3

Modérateur: Equipe

Règles du forum
A lire impérativement : Règlement de phpBB-fr.com

Pensez à effectuer une recherche, la réponse à votre question a de grandes chances d'avoir déjà été donnée.

mise à jour 3.1.9 vers 3.3.0 erreur

Messagepar fred033 » 17 Fév 2020 à 19:23

Bonjour à tous.

J'ai un soucis au niveau de la mise à jour de mon forum.

Je suis allez sur cette page pour téléchargez la mise à jour de 3.1.9 vers 3.3.0

https://www.phpbb.com/downloads/3.3/upd ... sion=3.1.9

Je sauvegarde d'abord le fichier "vendor"

Puis je dé-zippe la mise à jour auquel il y a les fichiers install et fichier vendor

Je les place dans mon ftp

Et puis lors de l'installe ça me donne ceci ;

Normes strictes : la déclaration de phpbb \ template \ twig \ loader :: findTemplate () doit être compatible avec Twig \ Loader \ FilesystemLoader :: findTemplate ($ name, $ throw = true) dans / public_html / forum_passion / phpbb / template / twig / loader.php à la ligne 20

Erreur d' analyse : erreur de syntaxe, inattendu ':', attente ';' ou '{' dans /public_html/forum_passion/vendor/twig/twig/src/ExtensionSet.php sur la ligne 70


Alors j'ai remis mon fichier "vendor" dans le forum en enlevant le fichier instal et j'ai essayé cette solution ;

https://www.phpbb.com/downloads/3.3/changedfiles

Mais rien n'y fait.

Voilà le lien de mon forum (avec l'erreur)

http://www.bandedessinee.monespace.net/ ... 96682be704

Maintenant, en essayant cette version de mise à jour ;

https://www.phpbb.com/downloads/3.3/changedfiles

J'avais un message qui me disait que je devait être en php 7.1 (il me semble)

Mon hébergeur propose les versions php de 5.2 à 7.0

j'ai également essayé avec 7.0 mais rien n'y fait.

y aurait-il une solution ?

Est ce que j'ai fais une mauvaise manip ?

Merci de vos retours. :)
fred033
Posteur néophyte
Posteur néophyte
 
Messages: 8
Enregistré le: 17 Fév 2020 à 19:04

Re: mise à jour 3.1.9 vers 3.3.0 erreur

Messagepar Steph » 17 Fév 2020 à 19:34

Salut,

La méthode la plus fiable pour faire cette mise à niveau vers 3.3.0 est celle que nous avons mise en ligne dans notre documentation > Mise à niveau de phpBB 3.2.x vers 3.3.x

C’est un tuto pour le passage de 3.2 a 3.3, mais c'est exactement pareil.

Par contre, pour phpBB 3.3.0 il faut au minimum PHP 7.1.3, voir les prérequis indiqués dans le tutoriel.

PS : Merci d'être un peu plus inventif pour le choix du titre du sujet, car il est trop générique et n'aide pas pour une recherche sur le forum.

Et au passage, pourquoi ouvrir plusieurs compte : koster-u127151/
Avatar de l’utilisateur
Steph
Administrateur
Administrateur
 
Messages: 19834
Enregistré le: 29 Déc 2008 à 16:48
Localisation: Alsace / Bas-Rhin / France

Re: mise à jour 3.1.9 vers 3.3.0 erreur

Messagepar cocooncrash » 17 Fév 2020 à 19:35

Bonjour,
En effet il vous faut php 7.1.3 au minimum pour faire tourner la version 3.3.x.

grilled!
decouvrez l'aide complete : ICI
découvrez les règles : La_bas

Pensez a ajouter le tag [réglé] en modifiant votre premier message s'il est résolu. Merci :wink:
Avatar de l’utilisateur
cocooncrash
Resp. des modérateurs
Resp. des modérateurs
 
Messages: 8073
Enregistré le: 07 Jan 2008 à 09:29
Localisation: dans un bocal en compagnie de nemo!!

Re: mise à jour 3.1.9 vers 3.3.0 erreur

Messagepar fred033 » 17 Fév 2020 à 19:49

Merci à vous deux.

Et bien disons que pour moi, la version 3.3.0 avec mon hébergeur, c'est pas faisable. :cry:

Sinon, une version antérieur entre la version 3.1.9 et 3.3.0, quelle version fonctionnerait en php 7 ?

Merci. :)

(pour Koster, c'est un copain qui c'est inscrit chez moi, il aura d'autres questions pour ses soucis)
fred033
Posteur néophyte
Posteur néophyte
 
Messages: 8
Enregistré le: 17 Fév 2020 à 19:04

Re: mise à jour 3.1.9 vers 3.3.0 erreur

Messagepar Steph » 17 Fév 2020 à 20:12

Le support pour toutes versions antérieures à phpBB 3.3.0 va bientôt se terminer alors il faut grandement penser à faire évoluer sa version de PHP. Certes ce n'est aps encore le cas, mais il faut y penser.

La version phpBB 3.2.9 fonctionnera à partir de PHP 5.4.7 et inférieure à PHP 7.3, mais dans quelques semaines c’est se privé de support et c'est une procédure de mise à jour intermédiaire qui apportera certainement des surprises.
Avatar de l’utilisateur
Steph
Administrateur
Administrateur
 
Messages: 19834
Enregistré le: 29 Déc 2008 à 16:48
Localisation: Alsace / Bas-Rhin / France

Re: mise à jour 3.1.9 vers 3.3.0 erreur

Messagepar fred033 » 17 Fév 2020 à 20:18

Merci.

J'ai encore regardé ce que propose mon hébergeur, c'est bien jusqu'à 7, et version 5.6 recommandé.

Je verrais avec eux, leur poser la question s'il pense allez plus haut que version 7 en php.

Merci et bonne soirée.
Modifié en dernier par Steph le 17 Fév 2020 à 20:37, modifié 1 fois.
Raison: Suppression de la citation inutile du message auquel tu réponds directement
fred033
Posteur néophyte
Posteur néophyte
 
Messages: 8
Enregistré le: 17 Fév 2020 à 19:04

Re: mise à jour 3.1.9 vers 3.3.0 erreur

Messagepar Sylveretour » 17 Fév 2020 à 20:34

Bonjour,

Un hébergeur qui ne propose que des versions php qui ne sont plus supportées, qui ne propose pas le ssl alors que cela est gratuit et démocratisé, doit être abandonné, la preuve, tu est bloqué !
Bref, en le fuyant, tu gagnera en tranquillité et tu pourra faire ta mise à jour sereinement.
Avatar de l’utilisateur
Sylveretour
Apprenti-floodeur
Apprenti-floodeur
 
Messages: 1345
Enregistré le: 21 Nov 2017 à 19:24
Localisation: West Coast

Re: mise à jour 3.1.9 vers 3.3.0 erreur

Messagepar fred033 » 20 Fév 2020 à 16:14

Bonjour.
Je viens donner des nouvelles.
J'ai contacté mon hébergeur, et pour les versions php ultérieur à 7, c'est pas encore maintenant. (il m'a dit dans un prochain temps)
Il m'a proposé d'installer la version 3.2.9, mais bon.

J'ai regardé d'autres différents hébergeur, et j'ai vu que https://www.ionos.fr/hebergement/hebergement-web est pas mal.
(j'ai trouvé cet hébergeur en allant sur google en cherchant les 5 meilleurs hébergeurs)
je les ai eu au tel, ils ont tout ce qu'il faut pour y placer mon site, un forum etc. ils ont php 7.4

Sinon, j'ai installé wampserver3.2.0_x64 sur mon pc pour y placer le phpBB3.3 en local, juste pour voir le forum, le tester, il est bien.
fred033
Posteur néophyte
Posteur néophyte
 
Messages: 8
Enregistré le: 17 Fév 2020 à 19:04

Re: mise à jour 3.1.9 vers 3.3.0 erreur

Messagepar On Stage » 20 Fév 2020 à 16:52

Salut
Va lire cet avis laissé ici concernant cet hébergeur
Version du forum : 3.2.9
Version de PHP : 7.2.19

Image
Avatar de l’utilisateur
On Stage
Posteur expérimenté
Posteur expérimenté
 
Messages: 335
Enregistré le: 19 Mar 2018 à 17:04

Re: mise à jour 3.1.9 vers 3.3.0 erreur

Messagepar Steph » 20 Fév 2020 à 16:55

Hello,

Merci de ne pas faire de hors sujet, celui-ci ne traite pas de l'hébergeur, mais de la mise à jour.
Avatar de l’utilisateur
Steph
Administrateur
Administrateur
 
Messages: 19834
Enregistré le: 29 Déc 2008 à 16:48
Localisation: Alsace / Bas-Rhin / France


Retourner vers Mises à jour/Conversions

 


  • Articles en relation
    Réponses
    Vues
    Dernier message

Qui est en ligne

Utilisateurs parcourant ce forum : Aucun utilisateur enregistré et 2 invités